@import "libs/shared/assets/src/global-style/color";

:host {
  width: 100%;
}

p {
  margin: 0px !important;
}

.main-model-organization {
  margin: 8px 0px 8px 32px;
  display: flex;
  justify-content: space-between;
  &__left {
    display: flex;
    column-gap: 16px;
    align-items: center;
    &__pointer {
      margin: 0px;
    }
    &__title {
      font-style: normal;
      font-weight: 700;
      font-size: 20px;
      line-height: 24px;
      color: #000000;
      margin: 0px;
    }
  }
  &__right {
    display: flex;
    align-items: center;
    margin-bottom: 8px;
    &__button-default {
      border: 1px solid #a0a3bd;
      color: #6e7191;
      border-radius: 8px;
      display: flex;
      align-items: center;
      padding: 10px 16px 10px 16px;
      font-size: 14px;
      min-height: 40px;
      &:nth-child(2) {
        margin-left: 16px;
      }
    }
    &__button-primary {
      border-radius: 8px;
      display: flex;
      align-items: center;
      padding: 10px 16px 10px 16px;
      font-size: 14px;
      background: $primary-button-color;
      margin-left: 16px;
      width: 139px;
      height: 40px;
      justify-content: center;
    }
    &__button-search {
      width: 174px;
      height: 40px;
      background: #e8eaf6;
      border-radius: 8px;
      color: #141ed2;
      border: none;
    }
    &__button-excel {
      background: none;
      border: none;
    }
  }
}

.container-fluid {
  background: $background-main;
  .form {
    background: white;
    padding: 16px 0px 16px 0px;
    border-radius: 16px;
    margin-top: 20px;
  }
}

.form-row {
  padding: 0px 24px 15px 24px;
  justify-content: start;
  column-gap: 16px;
  row-gap: 16px;
  &__input {
    width: 100%;
    border-radius: 8px !important;
    min-height: 40px;
    &--fun {
      border: none;
    }
  }

  &__label {
    font-style: normal;
    font-weight: 600;
    font-size: 14px;
    line-height: 20px;
    margin: 0px;
  }

  &__left {
    display: flex;
    flex-direction: column;
    &--search {
      display: flex;
      align-items: flex-end;
    }
  }

  &__right--attach {
    display: flex;
    align-items: flex-end;
    height: 100%;
  }

  &__select {
    width: 100%;
    ::ng-deep {
      .ant-select-selector {
        border-radius: 8px !important;
        min-height: 40px;
        display: flex;
        align-items: center;
      }
      .ant-select-selection-search-input {
        height: 100% !important;
      }
    }
  }
}

.form-row-center {
  display: flex;
  justify-content: center;
  margin-top: 18px;
}

.jd-table {
  min-width: 100%;
  margin-top: 16px;
  &__label {
    font-weight: bold;
    font-size: 14px;
    line-height: 120%;
    background: rgba(232, 234, 246, 1);
  }
  &__name {
    display: flex;
    &--level {
      padding-left: 10%;
    }
  }
  &__action {
    display: flex;
    justify-content: flex-end;
  }
}

.title-input {
  display: flex;
  padding-bottom: 10px;
}

.button-back {
  border: 1px solid #141ed2;
  border-radius: 8px;
  display: flex;
  align-items: center;
  padding: 10px, 16px, 10px, 16px;
  font-size: 14px;
  min-height: 40px;
  background: $white-color;
  margin-left: 16px;
  color: $primary-button-color;
}

.button-approve {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.template {
  margin-top: 24px;
  margin-bottom: 24px;
  &__right {
    display: flex;
    align-items: flex-end;
    &--attach {
      display: flex;
      align-items: flex-end;
      height: 100%;
    }
  }
}

.button-primary {
  border-radius: 8px;
  display: flex;
  align-items: center;
  padding: 10px 16px 10px 16px;
  font-size: 14px;
  min-height: 40px;
  background: $primary-button-color;
  margin-left: 16px;
}

::ng-deep {
  .ant-card-bordered {
    border: none;
    border-radius: 8px;
  }

  .ant-modal-footer {
    padding: 0px !important;
    display: none;
  }

  .ant-modal-header {
    border: none;
    border-radius: 8px;
  }

  .ant-modal-content {
    border-radius: 8px;
  }

  .ant-modal-confirm .ant-modal-body {
    padding: 24px !important;
  }

  .ant-pagination-item-link {
    border-radius: 8px;
    display: flex !important;
    align-items: center;
    justify-content: center;
  }
  .ant-pagination-item-link-icon {
    margin-right: 14px;
  }

  .ant-pagination-item {
    border-radius: 8px;
  }
  .ant-pagination-item-active {
    border-color: $primary-button-color;
    border-radius: 8px;
    a {
      color: $primary-button-color;
    }
  }

  .nz-table-hide-scrollbar {
    background: $background-main;
  }
}

.pagination {
  display: flex;
  margin-top: 0;
  justify-content: space-between;
  &__icon {
    display: flex;
  }
  &__table-info {
    display: flex;
    column-gap: 10px;
    align-items: center;
    &--text {
      white-space: nowrap;
      font-style: normal;
      font-weight: 400;
      font-size: 14px;
      line-height: 150%;
      color: #4e4b66;
    }
  }
}

.ant-pagination {
  margin-top: 0;
}

.title-modal {
  font-style: normal;
  font-weight: 700;
  font-size: 20px;
  line-height: 24px;
  text-align: center;
  color: #14142b;
}

.flex-center {
  display: flex;
  justify-content: center;
}

.btn-excel {
  margin: 0;
}

.job-search {
  max-height: 300px;
  overflow-y: auto;
  ::ng-deep {
    .ant-dropdown-menu {
      box-shadow: unset;
    }
  }
}

.tag {
  border-radius: 3px;
  width: 73px;
  height: 26px;
  text-align: center;
  font-weight: 600;
  font-size: 12px;
  &__approve {
    color: #06a561;
    background: #daf9ec;
  }
  &__reject {
    color: #fa0b0b;
    background: #fde7ea;
  }
  &__wait-for-approve {
    color: #f99600;
    background: #fff2da;
  }
}

.ml-24 {
  margin-left: 24px;
}

.form-reject {
  margin: 15px 0 15px 0;
}

.btn-approve-reject {
  height: 39px;
}

.btn-search {
  margin: 29px 0 0px 24px;
}
